> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update workspace

> Update the workspace details associated with the current authentication token.



## OpenAPI

````yaml PATCH /access/v1/workspace
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    The Invopop Access service offers endpoints for accessing data related to
    accessing the service.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Access Service API
  version: 1.0.0
servers:
  - description: production
    url: https://api.invopop.com
security: []
paths:
  /access/v1/workspace:
    patch:
      description: >-
        Update the workspace details associated with the current authentication
        token.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccessUpdateWorkspace'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessWorkspace'
          description: OK
components:
  schemas:
    AccessUpdateWorkspace:
      properties:
        logo_url:
          description: The URL of the company logo.
          example: https://example.com/logo.png
          title: Logo URL
          type: string
        name:
          description: The name of the company.
          example: My Company
          title: Name
          type: string
        slug:
          description: A unique identifier for the company.
          example: my-company
          title: Slug
          type: string
      type: object
    AccessWorkspace:
      properties:
        country:
          description: The country the workspace is based in.
          example: US
          title: Country
          type: string
        created_at:
          description: The date and time the workspace was created.
          example: '2018-01-01T00:00:00.000Z'
          title: Created At
          type: string
        id:
          description: UUID of the workspace.
          example: 347c5b04-cde2-11ed-afa1-0242ac120002
          title: ID
          type: string
        name:
          description: The name of the workspace.
          example: My Company
          title: Name
          type: string
        sandbox:
          description: Indicates if the workspace is in a sandbox environment.
          example: true
          title: Sandbox
          type: boolean
        slug:
          description: A unique identifier for the workspace.
          example: my_company
          title: Slug
          type: string
        updated_at:
          description: The date and time the workspace was last updated.
          example: '2018-01-01T00:00:00.000Z'
          title: Updated At
          type: string
      type: object

````